Index: t3lib/class.t3lib_div.php
===================================================================
--- t3lib/class.t3lib_div.php	(revision 9354)
+++ t3lib/class.t3lib_div.php	(revision )
@@ -558,15 +559,15 @@
 	 * @deprecated since TYPO3 4.1, will be removed in TYPO3 4.6 - Works ONLY for single-byte charsets! Use t3lib_div::fixed_lgd_cs() instead
 	 * @see fixed_lgd_pre()
 	 */
-	public static function fixed_lgd($string,$origChars,$preStr='...')	{
+	public static function fixed_lgd($string, $origChars, $preStr = '...') {
 		self::logDeprecatedFunction();
 
 		$chars = abs($origChars);
-		if ($chars >= 4)	{
+		if ($chars >= 4) {
-			if(strlen($string)>$chars)  {
+			if (strlen($string) > $chars) {
 				return $origChars < 0 ?
-					$preStr.trim(substr($string, -($chars-3))) :
+						$preStr . trim(substr($string, -($chars - 3))) :
-					trim(substr($string, 0, $chars-3)).$preStr;
+						trim(substr($string, 0, $chars - 3)) . $preStr;
 			}
 		}
 		return $string;
@@ -585,10 +586,10 @@
 	 * @deprecated since TYPO3 4.1, will be removed in TYPO3 4.6 - Use t3lib_div::fixed_lgd_cs() instead (with negative input value for $chars)
 	 * @see fixed_lgd()
 	 */
-	public static function fixed_lgd_pre($string,$chars)	{
+	public static function fixed_lgd_pre($string, $chars) {
 		self::logDeprecatedFunction();
 
-		return strrev(self::fixed_lgd(strrev($string),$chars));
+		return strrev(self::fixed_lgd(strrev($string), $chars));
 	}
 
 	/**
@@ -600,7 +601,7 @@
 	 * @param	string		appendix to the truncated string
 	 * @return	string		cropped string
 	 */
-	public static function fixed_lgd_cs($string, $chars, $appendString='...') {
+	public static function fixed_lgd_cs($string, $chars, $appendString = '...') {
 		if (is_object($GLOBALS['LANG'])) {
 			return $GLOBALS['LANG']->csConvObj->crop($GLOBALS['LANG']->charSet, $string, $chars, $appendString);
 		} elseif (is_object($GLOBALS['TSFE'])) {
@@ -623,15 +624,15 @@
 	 * @deprecated since TYPO3 4.1, will be removed in TYPO3 4.6 - Use PHP function wordwrap()
 	 * @return	string
 	 */
-	public static function breakTextForEmail($str,$implChar=LF,$charWidth=76)	{
+	public static function breakTextForEmail($str, $implChar = LF, $charWidth = 76) {
 		self::logDeprecatedFunction();
 
-		$lines = explode(LF,$str);
+		$lines = explode(LF, $str);
-		$outArr=array();
+		$outArr = array();
 		foreach ($lines as $lStr) {
-			$outArr[] = self::breakLinesForEmail($lStr,$implChar,$charWidth);
+			$outArr[] = self::breakLinesForEmail($lStr, $implChar, $charWidth);
 		}
-		return implode(LF,$outArr);
+		return implode(LF, $outArr);
 	}
 
 	/**
@@ -644,31 +645,35 @@
 	 * @return	string
 	 * @see breakTextForEmail()
 	 */
-	public static function breakLinesForEmail($str,$implChar=LF,$charWidth=76)	{
+	public static function breakLinesForEmail($str, $implChar = LF, $charWidth = 76) {
-		$lines=array();
+		$lines = array();
-		$l=$charWidth;
+		$l = $charWidth;
-		$p=0;
+		$p = 0;
-		while(strlen($str)>$p)	{
+		while (strlen($str) > $p) {
-			$substr=substr($str,$p,$l);
+			$substr = substr($str, $p, $l);
-			if (strlen($substr)==$l)	{
+			if (strlen($substr) == $l) {
-				$count = count(explode(' ',trim(strrev($substr))));
+				$count = count(explode(' ', trim(strrev($substr))));
-				if ($count>1)	{	// OK...
+				if ($count > 1) { // OK...
-					$parts = explode(' ',strrev($substr),2);
+					$parts = explode(' ', strrev($substr), 2);
 					$theLine = strrev($parts[1]);
 				} else {
-					$afterParts = explode(' ',substr($str,$l+$p),2);
+					$afterParts = explode(' ', substr($str, $l + $p), 2);
-					$theLine = $substr.$afterParts[0];
+					$theLine = $substr . $afterParts[0];
 				}
-				if (!strlen($theLine))	{break; }	// Error, because this would keep us in an endless loop.
+				if (!strlen($theLine)) {
+					break;
+				} // Error, because this would keep us in an endless loop.
 			} else {
-				$theLine=$substr;
+				$theLine = $substr;
 			}
 
-			$lines[]=trim($theLine);
+			$lines[] = trim($theLine);
-			$p+=strlen($theLine);
+			$p += strlen($theLine);
-			if (!trim(substr($str,$p,$l)))	break;	// added...
+			if (!trim(substr($str, $p, $l))) {
+				break;
+			} // added...
 		}
-		return implode($implChar,$lines);
+		return implode($implChar, $lines);
 	}
 
 	/**
@@ -680,14 +685,14 @@
 	 * @param	string		$list is a comma-list of IP-addresses to match with. *-wildcard allowed instead of number, plus leaving out parts in the IP number is accepted as wildcard (eg. 192.168.*.* equals 192.168). If list is "*" no check is done and the function returns TRUE immediately. An empty list always returns FALSE.
 	 * @return	boolean		True if an IP-mask from $list matches $baseIP
 	 */
-	public static function cmpIP($baseIP, $list)	{
+	public static function cmpIP($baseIP, $list) {
 		$list = trim($list);
-		if ($list === '')	{
+		if ($list === '') {
-			return false;
+			return FALSE;
-		} elseif ($list === '*')	{
+		} elseif ($list === '*') {
-			return true;
+			return TRUE;
 		}
-		if (strpos($baseIP, ':') !== false && self::validIPv6($baseIP))	{
+		if (strpos($baseIP, ':') !== FALSE && self::validIPv6($baseIP)) {
 			return self::cmpIPv6($baseIP, $list);
 		} else {
 			return self::cmpIPv4($baseIP, $list);
@@ -701,39 +706,41 @@
 	 * @param	string		$list is a comma-list of IP-addresses to match with. *-wildcard allowed instead of number, plus leaving out parts in the IP number is accepted as wildcard (eg. 192.168.*.* equals 192.168)
 	 * @return	boolean		True if an IP-mask from $list matches $baseIP
 	 */
-	public static function cmpIPv4($baseIP, $list)	{
+	public static function cmpIPv4($baseIP, $list) {
-		$IPpartsReq = explode('.',$baseIP);
+		$IPpartsReq = explode('.', $baseIP);
-		if (count($IPpartsReq)==4)	{
+		if (count($IPpartsReq) == 4) {
-			$values = self::trimExplode(',',$list,1);
+			$values = self::trimExplode(',', $list, 1);
 
-			foreach($values as $test)	{
+			foreach ($values as $test) {
-				list($test,$mask) = explode('/',$test);
+				list($test, $mask) = explode('/', $test);
 
-				if(intval($mask)) {
+				if (intval($mask)) {
 						// "192.168.3.0/24"
 					$lnet = ip2long($test);
 					$lip = ip2long($baseIP);
 					$binnet = str_pad(decbin($lnet), 32, '0', STR_PAD_LEFT);
-					$firstpart = substr($binnet,0,$mask);
+					$firstpart = substr($binnet, 0, $mask);
 					$binip = str_pad(decbin($lip), 32, '0', STR_PAD_LEFT);
-					$firstip = substr($binip,0,$mask);
+					$firstip = substr($binip, 0, $mask);
-					$yes = (strcmp($firstpart,$firstip)==0);
+					$yes = (strcmp($firstpart, $firstip) == 0);
 				} else {
 						// "192.168.*.*"
-					$IPparts = explode('.',$test);
+					$IPparts = explode('.', $test);
 					$yes = 1;
 					foreach ($IPparts as $index => $val) {
 						$val = trim($val);
-						if (strcmp($val,'*') && strcmp($IPpartsReq[$index],$val))	{
+						if (strcmp($val, '*') && strcmp($IPpartsReq[$index], $val)) {
-							$yes=0;
+							$yes = 0;
 						}
 					}
 				}
-				if ($yes) return true;
+				if ($yes) {
+					return TRUE;
-			}
-		}
+				}
+			}
-		return false;
-	}
+		}
+		return FALSE;
+	}
 
 	/**
 	 * Match IPv6 address with a list of IPv6 prefixes
@@ -742,42 +749,44 @@
 	 * @param	string		$list is a comma-list of IPv6 prefixes, could also contain IPv4 addresses
 	 * @return	boolean		True if an baseIP matches any prefix
 	 */
-	public static function cmpIPv6($baseIP, $list)	{
+	public static function cmpIPv6($baseIP, $list) {
-		$success = false;	// Policy default: Deny connection
+		$success = FALSE; // Policy default: Deny connection
 		$baseIP = self::normalizeIPv6($baseIP);
 
-		$values = self::trimExplode(',',$list,1);
+		$values = self::trimExplode(',', $list, 1);
-		foreach ($values as $test)	{
+		foreach ($values as $test) {
-			list($test,$mask) = explode('/',$test);
+			list($test, $mask) = explode('/', $test);
-			if (self::validIPv6($test))	{
+			if (self::validIPv6($test)) {
 				$test = self::normalizeIPv6($test);
-				if (intval($mask))	{
+				if (intval($mask)) {
-					switch ($mask) {	// test on /48 /64
+					switch ($mask) { // test on /48 /64
 						case '48':
 							$testBin = substr(self::IPv6Hex2Bin($test), 0, 48);
 							$baseIPBin = substr(self::IPv6Hex2Bin($baseIP), 0, 48);
-							$success = strcmp($testBin, $baseIPBin)==0 ? true : false;
+							$success = strcmp($testBin, $baseIPBin) == 0 ? TRUE : FALSE;
-						break;
+							break;
 						case '64':
 							$testBin = substr(self::IPv6Hex2Bin($test), 0, 64);
 							$baseIPBin = substr(self::IPv6Hex2Bin($baseIP), 0, 64);
-							$success = strcmp($testBin, $baseIPBin)==0 ? true : false;
+							$success = strcmp($testBin, $baseIPBin) == 0 ? TRUE : FALSE;
-						break;
+							break;
 						default:
-							$success = false;
+							$success = FALSE;
 					}
 				} else {
-					if (self::validIPv6($test))	{	// test on full ip address 128 bits
+					if (self::validIPv6($test)) { // test on full ip address 128 bits
 						$testBin = self::IPv6Hex2Bin($test);
 						$baseIPBin = self::IPv6Hex2Bin($baseIP);
-						$success = strcmp($testBin, $baseIPBin)==0 ? true : false;
+						$success = strcmp($testBin, $baseIPBin) == 0 ? TRUE : FALSE;
 					}
 				}
 			}
-			if ($success) return true;
+			if ($success) {
+				return TRUE;
-		}
+			}
-		return false;
-	}
+		}
+		return FALSE;
+	}
 
 	/**
 	 * [Describe function...]
@@ -785,11 +794,11 @@
 	 * @param	[type]		$hex: ...
 	 * @return	[type]		...
 	 */
-	public static function IPv6Hex2Bin ($hex)	{
+	public static function IPv6Hex2Bin($hex) {
 		$bin = '';
-		$hex = str_replace(':', '', $hex);	// Replace colon to nothing
+		$hex = str_replace(':', '', $hex); // Replace colon to nothing
-		for ($i=0; $i<strlen($hex); $i=$i+2)	{
+		for ($i = 0; $i < strlen($hex); $i = $i + 2) {
-			$bin.= chr(hexdec(substr($hex, $i, 2)));
+			$bin .= chr(hexdec(substr($hex, $i, 2)));
 		}
 		return $bin;
 	}
@@ -800,23 +809,26 @@
 	 * @param	string		Given IPv6 address
 	 * @return	string		Normalized address
 	 */
-	public static function normalizeIPv6($address)	{
+	public static function normalizeIPv6($address) {
 		$normalizedAddress = '';
 		$stageOneAddress = '';
 
-		$chunks = explode('::', $address);	// Count 2 if if address has hidden zero blocks
+		$chunks = explode('::', $address); // Count 2 if if address has hidden zero blocks
-		if (count($chunks)==2)	{
+		if (count($chunks) == 2) {
 			$chunksLeft = explode(':', $chunks[0]);
 			$chunksRight = explode(':', $chunks[1]);
 			$left = count($chunksLeft);
 			$right = count($chunksRight);
 
 				// Special case: leading zero-only blocks count to 1, should be 0
-			if ($left==1 && strlen($chunksLeft[0])==0)	$left=0;
+			if ($left == 1 && strlen($chunksLeft[0]) == 0) {
+				$left = 0;
+			}
 
 			$hiddenBlocks = 8 - ($left + $right);
 			$hiddenPart = '';
+			$h = 0;
-			while ($h<$hiddenBlocks)	{
+			while ($h < $hiddenBlocks) {
 				$hiddenPart .= '0000:';
 				$h++;
 			}
@@ -826,21 +838,23 @@
 			} else {
 				$stageOneAddress = $chunks[0] . ':' . $hiddenPart . $chunks[1];
 			}
-		} else $stageOneAddress = $address;
+		} else {
+			$stageOneAddress = $address;
+		}
 
 			// normalize the blocks:
 		$blocks = explode(':', $stageOneAddress);
 		$divCounter = 0;
-		foreach ($blocks as $block)	{
+		foreach ($blocks as $block) {
 			$tmpBlock = '';
 			$i = 0;
 			$hiddenZeros = 4 - strlen($block);
-			while ($i < $hiddenZeros)	{
+			while ($i < $hiddenZeros) {
 				$tmpBlock .= '0';
 				$i++;
 			}
 			$normalizedAddress .= $tmpBlock . $block;
-			if ($divCounter < 7)	{
+			if ($divCounter < 7) {
 				$normalizedAddress .= ':';
 				$divCounter++;
 			}
@@ -857,7 +871,7 @@
 	 * @return	boolean		True if $ip is either of IPv4 or IPv6 format.
 	 */
 	public static function validIP($ip) {
-		return (filter_var($ip, FILTER_VALIDATE_IP) !== false);
+		return (filter_var($ip, FILTER_VALIDATE_IP) !== FALSE);
 	}
 
 	/**
@@ -869,7 +883,7 @@
 	 * @return	boolean		True if $ip is of IPv4 format.
 	 */
 	public static function validIPv4($ip) {
-		return (filter_var($ip, FILTER_VALIDATE_IP, FILTER_FLAG_IPV4) !== false);
+		return (filter_var($ip, FILTER_VALIDATE_IP, FILTER_FLAG_IPV4) !== FALSE);
 	}
 
 	/**
@@ -880,8 +894,8 @@
 	 * @param	string		IP address to be tested
 	 * @return	boolean		True if $ip is of IPv6 format.
 	 */
-	public static function validIPv6($ip)	{
+	public static function validIPv6($ip) {
-		return (filter_var($ip, FILTER_VALIDATE_IP, FILTER_FLAG_IPV6) !== false);
+		return (filter_var($ip, FILTER_VALIDATE_IP, FILTER_FLAG_IPV6) !== FALSE);
 	}
 
 	/**
@@ -891,26 +905,28 @@
 	 * @param	string		A comma-list of domain names to match with. *-wildcard allowed but cannot be part of a string, so it must match the full host name (eg. myhost.*.com => correct, myhost.*domain.com => wrong)
 	 * @return	boolean		True if a domain name mask from $list matches $baseIP
 	 */
-	public static function cmpFQDN($baseIP, $list)        {
+	public static function cmpFQDN($baseIP, $list) {
-		if (count(explode('.',$baseIP))==4)     {
+		if (count(explode('.', $baseIP)) == 4) {
 			$resolvedHostName = explode('.', gethostbyaddr($baseIP));
-			$values = self::trimExplode(',',$list,1);
+			$values = self::trimExplode(',', $list, 1);
 
-			foreach($values as $test)	{
+			foreach ($values as $test) {
-				$hostNameParts = explode('.',$test);
+				$hostNameParts = explode('.', $test);
 				$yes = 1;
 
-				foreach($hostNameParts as $index => $val)	{
+				foreach ($hostNameParts as $index => $val) {
 					$val = trim($val);
-					if (strcmp($val,'*') && strcmp($resolvedHostName[$index],$val)) {
+					if (strcmp($val, '*') && strcmp($resolvedHostName[$index], $val)) {
-						$yes=0;
+						$yes = 0;
 					}
 				}
-				if ($yes) return true;
+				if ($yes) {
+					return TRUE;
-			}
-		}
+				}
+			}
-		return false;
-	}
+		}
+		return FALSE;
+	}
 
 	/**
 	 * Checks if a given URL matches the host that currently handles this HTTP request.
@@ -932,8 +948,8 @@
 	 * @param	string		item to check for
 	 * @return	boolean		true if $item is in $list
 	 */
-	public static function inList($list, $item)	{
+	public static function inList($list, $item) {
-		return (strpos(','.$list.',', ','.$item.',')!==false ? true : false);
+		return (strpos(',' . $list . ',', ',' . $item . ',') !== FALSE ? TRUE : FALSE);
 	}
 
 	/**
@@ -944,14 +960,14 @@
 	 * @param	string		comma-separated list of items (string)
 	 * @return	string		new comma-separated list of items
 	 */
-	public static function rmFromList($element,$list)	{
+	public static function rmFromList($element, $list) {
-		$items = explode(',',$list);
+		$items = explode(',', $list);
 		foreach ($items as $k => $v) {
-			if ($v==$element) {
+			if ($v == $element) {
 				unset($items[$k]);
 			}
 		}
-		return implode(',',$items);
+		return implode(',', $items);
 	}
 
 	/**
@@ -962,24 +978,26 @@
 	 * @return	string		new comma-separated list of items
 	 * @author	Martin Kutschker <martin.kutschker@activesolution.at>
 	 */
-	public static function expandList($list)      {
+	public static function expandList($list) {
-		$items = explode(',',$list);
+		$items = explode(',', $list);
 		$list = array();
 		foreach ($items as $item) {
-			$range = explode('-',$item);
+			$range = explode('-', $item);
-			if (isset($range[1]))	{
+			if (isset($range[1])) {
 				$runAwayBrake = 1000;
-				for ($n=$range[0]; $n<=$range[1]; $n++)	{
+				for ($n = $range[0]; $n <= $range[1]; $n++) {
 					$list[] = $n;
 
 					$runAwayBrake--;
-					if ($runAwayBrake<=0)	break;
+					if ($runAwayBrake <= 0) {
+						break;
-				}
+					}
+				}
 			} else {
 				$list[] = $item;
 			}
 		}
-		return implode(',',$list);
+		return implode(',', $list);
 	}
 
 	/**
@@ -992,12 +1010,18 @@
 	 * @param	integer		Default value if input is false.
 	 * @return	integer		The input value forced into the boundaries of $min and $max
 	 */
-	public static function intInRange($theInt,$min,$max=2000000000,$zeroValue=0)	{
+	public static function intInRange($theInt, $min, $max = 2000000000, $zeroValue = 0) {
-		// Returns $theInt as an integer in the integerspace from $min to $max
+			// Returns $theInt as an integer in the integerspace from $min to $max
 		$theInt = intval($theInt);
-		if ($zeroValue && !$theInt)	{$theInt=$zeroValue;}	// If the input value is zero after being converted to integer, zeroValue may set another default value for it.
-		if ($theInt<$min){$theInt=$min;}
-		if ($theInt>$max){$theInt=$max;}
+		if ($zeroValue && !$theInt) {
+			$theInt = $zeroValue;
+		} // If the input value is zero after being converted to integer, zeroValue may set another default value for it.
+		if ($theInt < $min) {
+			$theInt = $min;
+		}
+		if ($theInt > $max) {
+			$theInt = $max;
+		}
 		return $theInt;
 	}
 
@@ -1008,9 +1032,11 @@
 	 * @param	integer		Integer string to process
 	 * @return	integer
 	 */
-	public static function intval_positive($theInt)	{
+	public static function intval_positive($theInt) {
 		$theInt = intval($theInt);
-		if ($theInt<0){$theInt=0;}
+		if ($theInt < 0) {
+			$theInt = 0;
+		}
 		return $theInt;
 	}
 
@@ -1021,9 +1047,9 @@
 	 * @param	string		Version number on format x.x.x
 	 * @return	integer		Integer version of version number (where each part can count to 999)
 	 */
-	public static function int_from_ver($verNumberStr)	{
+	public static function int_from_ver($verNumberStr) {
-		$verParts = explode('.',$verNumberStr);
+		$verParts = explode('.', $verNumberStr);
-		return intval((int)$verParts[0].str_pad((int)$verParts[1],3,'0',STR_PAD_LEFT).str_pad((int)$verParts[2],3,'0',STR_PAD_LEFT));
+		return intval((int) $verParts[0] . str_pad((int) $verParts[1], 3, '0', STR_PAD_LEFT) . str_pad((int) $verParts[2], 3, '0', STR_PAD_LEFT));
 	}
 
 	/**
@@ -1034,11 +1060,11 @@
 	 * @return	boolean		Returns true if this setup is compatible with the provided version number
 	 * @todo	Still needs a function to convert versions to branches
 	 */
-	public static function compat_version($verNumberStr)	{
+	public static function compat_version($verNumberStr) {
 		global $TYPO3_CONF_VARS;
 		$currVersionStr = $TYPO3_CONF_VARS['SYS']['compat_version'] ? $TYPO3_CONF_VARS['SYS']['compat_version'] : TYPO3_branch;
 
-		if (self::int_from_ver($currVersionStr) < self::int_from_ver($verNumberStr))	{
+		if (self::int_from_ver($currVersionStr) < self::int_from_ver($verNumberStr)) {
 			return FALSE;
 		} else {
 			return TRUE;
@@ -1052,8 +1078,8 @@
 	 * @param	string		String to md5-hash
 	 * @return	integer		Returns 28bit integer-hash
 	 */
-	public static function md5int($str)	{
+	public static function md5int($str) {
-		return hexdec(substr(md5($str),0,7));
+		return hexdec(substr(md5($str), 0, 7));
 	}
 
 	/**
@@ -1065,15 +1091,15 @@
 	 * @param	integer		The string-length of the output
 	 * @return	string		Substring of the resulting md5-hash, being $len chars long (from beginning)
 	 */
-	public static function shortMD5($input, $len=10)	{
+	public static function shortMD5($input, $len = 10) {
-		return substr(md5($input),0,$len);
+		return substr(md5($input), 0, $len);
 	}
 
 	/**
 	 * Returns a proper HMAC on a given input string and secret TYPO3 encryption key.
 	 *
-	 * @param 	string		Input string to create HMAC from
+	 * @param	 string		Input string to create HMAC from
-	 * @return 	string		resulting (hexadecimal) HMAC currently with a length of 40 (HMAC-SHA-1)
+	 * @return	 string		resulting (hexadecimal) HMAC currently with a length of 40 (HMAC-SHA-1)
 	 */
 	public static function hmac($input) {
 		$hashAlgorithm = 'sha1';
@@ -1094,7 +1120,7 @@
 					// keys shorter than blocksize are zero-padded
 				$key = str_pad($GLOBALS['TYPO3_CONF_VARS']['SYS']['encryptionKey'], $hashBlocksize, chr(0x00));
 			}
-			$hmac = call_user_func($hashAlgorithm, ($key^$opad) . pack('H*', call_user_func($hashAlgorithm, ($key^$ipad) . $input)));
+			$hmac = call_user_func($hashAlgorithm, ($key ^ $opad) . pack('H*', call_user_func($hashAlgorithm, ($key ^ $ipad) . $input)));
 		}
 		return $hmac;
 	}
@@ -1108,7 +1134,7 @@
 	 * @param	mixed		$secondParameter: Dummy field, which if set will show a warning!
 	 * @return	string		Returns the list without any duplicates of values, space around values are trimmed
 	 */
-	public static function uniqueList($in_list, $secondParameter=NULL)	{
+	public static function uniqueList($in_list, $secondParameter = NULL) {
 		if (is_array($in_list)) {
 			throw new InvalidArgumentException(
 				'TYPO3 Fatal Error: t3lib_div::uniqueList() does NOT support array arguments anymore! Only string comma lists!',
@@ -1122,7 +1148,7 @@
 			);
 		}
 
-		return implode(',',array_unique(self::trimExplode(',',$in_list,1)));
+		return implode(',', array_unique(self::trimExplode(',', $in_list, 1)));
 	}
 
 	/**
@@ -1132,7 +1158,7 @@
 	 * @param	string		Filename/filepath to be analysed
 	 * @return	array		Contains keys [path], [file], [filebody], [fileext], [realFileext]
 	 */
-	public static function split_fileref($fileref)	{
+	public static function split_fileref($fileref) {
 		$reg = array();
 		if (preg_match('/(.*\/)(.*)$/', $fileref, $reg)) {
 			$info['path'] = $reg[1];
@@ -1171,9 +1197,9 @@
 	 * @param	string		Directory name / path
 	 * @return	string		Processed input value. See function description.
 	 */
-	public static function dirname($path)	{
+	public static function dirname($path) {
-		$p = self::revExplode('/',$path,2);
+		$p = self::revExplode('/', $path, 2);
-		return count($p)==2 ? $p[0] : '';
+		return count($p) == 2 ? $p[0] : '';
 	}
 
 	/**
@@ -1187,15 +1213,15 @@
 	 * @return	string		A hexadecimal color code, #xxxxxx, modified according to input vars
 	 * @see modifyHTMLColorAll()
 	 */
-	public static function modifyHTMLColor($color,$R,$G,$B)	{
+	public static function modifyHTMLColor($color, $R, $G, $B) {
-		// This takes a hex-color (# included!) and adds $R, $G and $B to the HTML-color (format: #xxxxxx) and returns the new color
+			// This takes a hex-color (# included!) and adds $R, $G and $B to the HTML-color (format: #xxxxxx) and returns the new color
-		$nR = self::intInRange(hexdec(substr($color,1,2))+$R,0,255);
+		$nR = self::intInRange(hexdec(substr($color, 1, 2)) + $R, 0, 255);
-		$nG = self::intInRange(hexdec(substr($color,3,2))+$G,0,255);
+		$nG = self::intInRange(hexdec(substr($color, 3, 2)) + $G, 0, 255);
-		$nB = self::intInRange(hexdec(substr($color,5,2))+$B,0,255);
+		$nB = self::intInRange(hexdec(substr($color, 5, 2)) + $B, 0, 255);
-		return '#'.
+		return '#' .
-			substr('0'.dechex($nR),-2).
+				substr('0' . dechex($nR), -2) .
-			substr('0'.dechex($nG),-2).
+				substr('0' . dechex($nG), -2) .
-			substr('0'.dechex($nB),-2);
+				substr('0' . dechex($nB), -2);
 	}
 
 	/**
@@ -1207,8 +1233,8 @@
 	 * @return	string		A hexadecimal color code, #xxxxxx, modified according to input vars
 	 * @see modifyHTMLColor()
 	 */
-	public static function modifyHTMLColorAll($color,$all)	{
+	public static function modifyHTMLColorAll($color, $all) {
-		return self::modifyHTMLColor($color,$all,$all,$all);
+		return self::modifyHTMLColor($color, $all, $all, $all);
 	}
 
 	/**
@@ -1219,7 +1245,7 @@
 	 * @return	string
 	 * @deprecated since TYPO3 4.5, will be removed in TYPO3 4.7 - Use rtrim() directly
 	 */
-	public static function rm_endcomma($string)	{
+	public static function rm_endcomma($string) {
 		self::logDeprecatedFunction();
 
 		return rtrim($string, ',');
@@ -1234,7 +1260,7 @@
 	 * @deprecated since TYPO3 3.5, will be removed in TYPO3 4.6 - Use t3lib_cs::conv_case() instead or for HTML output, wrap your content in <span class="uppercase">...</span>)
 	 * @ignore
 	 */
-	public static function danish_strtoupper($string)	{
+	public static function danish_strtoupper($string) {
 		self::logDeprecatedFunction();
 
 		$value = strtoupper($string);
@@ -1267,11 +1293,11 @@
 	 * @deprecated since TYPO3 4.1, will be removed in TYPO3 4.6 - Works only for western europe single-byte charsets! Use t3lib_cs::specCharsToASCII() instead!
 	 * @return	string
 	 */
-	public static function convUmlauts($str)	{
+	public static function convUmlauts($str) {
 		self::logDeprecatedFunction();
 
-		$pattern  = array (chr(228), chr(196), chr(246), chr(214), chr(252), chr(220), chr(223), chr(229), chr(197), chr(248), chr(216), chr(230), chr(198));
+		$pattern = array(chr(228), chr(196), chr(246), chr(214), chr(252), chr(220), chr(223), chr(229), chr(197), chr(248), chr(216), chr(230), chr(198));
-		$replace = array ('ae', 'Ae', 'oe', 'Oe', 'ue', 'Ue', 'ss', 'aa', 'AA', 'oe', 'OE', 'ae', 'AE');
+		$replace = array('ae', 'Ae', 'oe', 'Oe', 'ue', 'Ue', 'ss', 'aa', 'AA', 'oe', 'OE', 'ae', 'AE');
 		return str_replace($pattern, $replace, $str);
 	}
 
@@ -1285,7 +1311,7 @@
 		if ($var === '') {
 			return FALSE;
 		}
-		return (string)intval($var) === (string)$var;
+		return (string) intval($var) === (string) $var;
 	}
 
 	/**
@@ -1296,7 +1322,7 @@
 	 * @param	string		Reference string which must be found as the "first part" of the full string
 	 * @return	boolean		True if $partStr was found to be equal to the first part of $str
 	 */
-	public static function isFirstPartOfStr($str,$partStr) {
+	public static function isFirstPartOfStr($str, $partStr) {
 		return $partStr != '' && strpos((string) $str, (string) $partStr, 0) === 0;
 	}
 
@@ -1308,31 +1334,31 @@
 	 * @param	string		Labels for bytes, kilo, mega and giga separated by vertical bar (|) and possibly encapsulated in "". Eg: " | K| M| G" (which is the default value)
 	 * @return	string		Formatted representation of the byte number, for output.
 	 */
-	public static function formatSize($sizeInBytes,$labels='')	{
+	public static function formatSize($sizeInBytes, $labels = '') {
 
 			// Set labels:
 		if (strlen($labels) == 0) {
 			$labels = ' | K| M| G';
 		} else {
-			$labels = str_replace('"','',$labels);
+			$labels = str_replace('"', '', $labels);
 		}
-		$labelArr = explode('|',$labels);
+		$labelArr = explode('|', $labels);
 
 			// Find size:
-		if ($sizeInBytes>900)	{
+		if ($sizeInBytes > 900) {
-			if ($sizeInBytes>900000000)	{	// GB
+			if ($sizeInBytes > 900000000) { // GB
-				$val = $sizeInBytes/(1024*1024*1024);
+				$val = $sizeInBytes / (1024 * 1024 * 1024);
-				return number_format($val, (($val<20)?1:0), '.', '').$labelArr[3];
+				return number_format($val, (($val < 20) ? 1 : 0), '.', '') . $labelArr[3];
 			}
-			elseif ($sizeInBytes>900000)	{	// MB
+			elseif ($sizeInBytes > 900000) { // MB
-				$val = $sizeInBytes/(1024*1024);
+				$val = $sizeInBytes / (1024 * 1024);
-				return number_format($val, (($val<20)?1:0), '.', '').$labelArr[2];
+				return number_format($val, (($val < 20) ? 1 : 0), '.', '') . $labelArr[2];
-			} else {	// KB
+			} else { // KB
-				$val = $sizeInBytes/(1024);
+				$val = $sizeInBytes / (1024);
-				return number_format($val, (($val<20)?1:0), '.', '').$labelArr[1];
+				return number_format($val, (($val < 20) ? 1 : 0), '.', '') . $labelArr[1];
 			}
-		} else {	// Bytes
+		} else { // Bytes
-			return $sizeInBytes.$labelArr[0];
+			return $sizeInBytes . $labelArr[0];
 		}
 	}
 
@@ -1343,9 +1369,9 @@
 	 * @param	string		Microtime
 	 * @return	integer		Microtime input string converted to an integer (milliseconds)
 	 */
-	public static function convertMicrotime($microtime)	{
+	public static function convertMicrotime($microtime) {
-		$parts = explode(' ',$microtime);
+		$parts = explode(' ', $microtime);
-		return round(($parts[0]+$parts[1])*1000);
+		return round(($parts[0] + $parts[1]) * 1000);
 	}
 
 	/**
@@ -1357,15 +1383,15 @@
 	 * @return	array		Array with operators and operands separated.
 	 * @see tslib_cObj::calc(), tslib_gifBuilder::calcOffset()
 	 */
-	public static function splitCalc($string,$operators)	{
+	public static function splitCalc($string, $operators) {
 		$res = Array();
-		$sign='+';
+		$sign = '+';
-		while($string)	{
+		while ($string) {
-			$valueLen=strcspn($string,$operators);
+			$valueLen = strcspn($string, $operators);
-			$value=substr($string,0,$valueLen);
+			$value = substr($string, 0, $valueLen);
-			$res[] = Array($sign,trim($value));
+			$res[] = Array($sign, trim($value));
-			$sign=substr($string,$valueLen,1);
+			$sign = substr($string, $valueLen, 1);
-			$string=substr($string,$valueLen+1);
+			$string = substr($string, $valueLen + 1);
 		}
 		reset($res);
 		return $res;
@@ -1379,38 +1405,54 @@
 	 * @return	integer		Calculated value. Or error string.
 	 * @see calcParenthesis()
 	 */
-	public static function calcPriority($string)	{
+	public static function calcPriority($string) {
-		$string=preg_replace('/[[:space:]]*/','',$string);	// removing all whitespace
+		$string = preg_replace('/[[:space:]]*/', '', $string); // removing all whitespace
-		$string='+'.$string;	// Ensuring an operator for the first entrance
+		$string = '+' . $string; // Ensuring an operator for the first entrance
-		$qm='\*\/\+-^%';
+		$qm = '\*\/\+-^%';
-		$regex = '(['.$qm.'])(['.$qm.']?[0-9\.]*)';
+		$regex = '([' . $qm . '])([' . $qm . ']?[0-9\.]*)';
 			// split the expression here:
 		$reg = array();
-		preg_match_all('/'.$regex.'/',$string,$reg);
+		preg_match_all('/' . $regex . '/', $string, $reg);
 
 		reset($reg[2]);
-		$number=0;
+		$number = 0;
-		$Msign='+';
+		$Msign = '+';
-		$err='';
+		$err = '';
-		$buffer=doubleval(current($reg[2]));
+		$buffer = doubleval(current($reg[2]));
-		next($reg[2]);  // Advance pointer
+		next($reg[2]); // Advance pointer
 
-		while(list($k,$v)=each($reg[2])) {
+		while (list($k, $v) = each($reg[2])) {
-			$v=doubleval($v);
+			$v = doubleval($v);
 			$sign = $reg[1][$k];
-			if ($sign=='+' || $sign=='-')	{
+			if ($sign == '+' || $sign == '-') {
-				$number = $Msign=='-' ? $number-=$buffer : $number+=$buffer;
+				$number = $Msign == '-' ? $number -= $buffer : $number += $buffer;
 				$Msign = $sign;
-				$buffer=$v;
+				$buffer = $v;
 			} else {
-				if ($sign=='/')	{if ($v) $buffer/=$v; else $err='dividing by zero';}
-				if ($sign=='%')	{if ($v) $buffer%=$v; else $err='dividing by zero';}
-				if ($sign=='*')	{$buffer*=$v;}
-				if ($sign=='^')	{$buffer=pow($buffer,$v);}
+				if ($sign == '/') {
+					if ($v) {
+						$buffer /= $v;
+					} else {
+						$err = 'dividing by zero';
-			}
-		}
+					}
+				}
+				if ($sign == '%') {
+					if ($v) {
+						$buffer %= $v;
+					} else {
+						$err = 'dividing by zero';
+					}
+				}
+				if ($sign == '*') {
+					$buffer *= $v;
+				}
+				if ($sign == '^') {
+					$buffer = pow($buffer, $v);
+				}
+			}
+		}
-		$number = $Msign=='-' ? $number-=$buffer : $number+=$buffer;
+		$number = $Msign == '-' ? $number -= $buffer : $number += $buffer;
-		return $err ? 'ERROR: '.$err : $number;
+		return $err ? 'ERROR: ' . $err : $number;
 	}
 
 	/**
@@ -1421,22 +1463,24 @@
 	 * @return	integer		Calculated value. Or error string.
 	 * @see calcPriority(), tslib_cObj::stdWrap()
 	 */
-	public static function calcParenthesis($string)	{
+	public static function calcParenthesis($string) {
-		$securC=100;
+		$securC = 100;
 		do {
-			$valueLenO=strcspn($string,'(');
+			$valueLenO = strcspn($string, '(');
-			$valueLenC=strcspn($string,')');
+			$valueLenC = strcspn($string, ')');
-			if ($valueLenC==strlen($string) || $valueLenC < $valueLenO)	{
+			if ($valueLenC == strlen($string) || $valueLenC < $valueLenO) {
-				$value = self::calcPriority(substr($string,0,$valueLenC));
+				$value = self::calcPriority(substr($string, 0, $valueLenC));
-				$string = $value.substr($string,$valueLenC+1);
+				$string = $value . substr($string, $valueLenC + 1);
 				return $string;
 			} else {
-				$string = substr($string,0,$valueLenO).self::calcParenthesis(substr($string,$valueLenO+1));
+				$string = substr($string, 0, $valueLenO) . self::calcParenthesis(substr($string, $valueLenO + 1));
 			}
 				// Security:
 			$securC--;
-			if ($securC<=0)	break;
+			if ($securC <= 0) {
+				break;
+			}
-		} while($valueLenO<strlen($string));
+		} while ($valueLenO < strlen($string));
 		return $string;
 	}
 
